#include <iostream>
using namespace std;

void rotate_right(int arr[]);

int main(void) {
	int arr[10];
	int i;
	
	for (i = 0; i < 10; i++) {
		arr[i] = i + 56;
		cout << arr[i] << " ";
	 	
	}
	
	cout << endl;
	
	rotate_right(arr);
	
	for (i = 0; i < 10; i++) {
		cout << arr[i] << " ";
	}
	
	return 0;
}

void rotate_right(int arr[]) {
	int temp = arr[9];
	memmove(arr + 1, arr, 9 * sizeof(int));
	arr[0] = temp;
}